{ *************** API Calls used in NWLIB.PAS ****************

  Developed with Novell Inc.'s Client SDK for C SDK Mar-Dec 1995.

  Copyright 1995 by Devont Software Inc. and Jim Tyson.  All
  rights reserved.

  Please read the README.NOW file for important information.
}

TNWServerVersion = single                  ;    
TNWNumBlocks     = longint                 ;
TNWDriveNum      = word                    ;
pTNWDirHandle    = ^TNWDirHandle ;
TNWDirHandle     = byte                    ;
TNWCastMode      = word                    ;
TNWLocalMode     = word                    ;
TNWLocalScope    = word                    ;
pTNWNumber       = ^TNWNumber              ;
TNWNumber        = word                    ;
TNWNum           = longint                 ;
TNWNumBytes      = longint                 ;
TNWFlag          = byte                    ;
TNWFlags         = byte                    ;
TNWTab           = byte                    ;
TNWPrintFlags    = word                    ;
TNWFormType      = longint                 ;
TNWLpt           = byte                    ;
TNWSegment       = byte                    ;
TNWStructSize    = word                    ;
pTNWConnHandle   = ^TNWConnHandle          ;
TNWConnHandle    = cardinal {word}         ;
TNWConnRef       = cardinal                ;
TNWLength        = word                    ;
TNWConnNumber    = word                    ;
TNWCount         = longint                 ;
TNWError         = longint                 ;
pTObjID          = ^TObjID                 ;
TObjID           = longint                 ;
pTObjType        = ^TobjType               ;
TObjType         = word                    ;
TNWDirEntry      = longint                 ;
TNWFileSize      = longint                 ;
TNWNameSpace     = byte                    ;
TNWNameLen       = byte                    ;
TNWFileHandle    = word                    ;
TNWAttributes    = longint                 ;
TNWSearchAttrs   = word                    ;
TNWRightsMask    = word                    ;
TNWDirID         = byte                    ;
TNWDirSpace      = longint                 ;
TNWFileLen       = longint                 ;
TNWAccessRights  = byte                    ;
TNWTrusteeSeqNum = integer                 ;
nstr8            = char                    ;
pTObjName        = ^TObjName               ;
TObjName         = array[0..47]  of char   ;
pTNDSName        = ^TNDSName               ;
TNDSName         = array[0..255] of char   ; 
pTRetBuff        = ^TRetBuff               ;
TRetBuff         = array[0..127] of char   ;
pTConnList       = ^TConnList              ;
TConnList        = array[0..49]  of TNWConnNumber;
pTSendToList     = ^TSendToList            ;
TSendToList      = array[0..49]  of word   ;
pTResultList     = ^TResultList            ;
TResultList      = array[0..49]  of word   ;
TNWByte44        = array[0..43]  of byte   ;
TNWByte48        = array[0..47]  of byte   ;
TNWByte28        = array[0..27]  of byte   ;
TNWByte15        = array[0..14]  of byte   ;
pTNWByte8        = ^TNWByte8 ;
TNWByte8         = array[0..7]   of byte   ;
TNWByte14        = array[0..13]  of byte   ;
TNWSegmentData   = array[0..127] of char   ;
TNWVectorList    = array[0..15]  of byte   ;
TNWLongFileName  = array[0..259] of char   ;
TNWDate          = word                    ;
TNWTime          = word                    ;
TNWDateTime      = longint                 ;
TNWDeleteTime    = longint                 ;
TNWDateString    = array[0..6]   of char   ;
TNWPassword      = array[0..47]  of char   ;
TNWBanner        = array[0..12]  of char   ;
TNWPath          = array[0..1023] of char  ;
TNWVolName       = array[0..15]   of char  ;
TNWName          = array[0..255]  of char  ;
TNWAddress       = array[0..11]   of byte  ;
TNWFileName      = array[0..11]   of char  ;
TNWQueueJobList  = array[0..249] of longint;
TNWQueueJobID    = longint                 ;
TNWQueueJobFlags = word                    ;
pTNWSemaHandle   = ^TNWSemaHandle          ;
TNWSemaHandle    = longint                 ;
TNWSemaName      = array[0..8] of char     ;
TNWSemaCount     = word                    ;
TNWUtilization   = longint                 ;
TNWSysTime       = longint                 ;
TNWSerial        = longint                 ;
TNWVol           = longint                 ;
TNWVolNum        = byte                    ;
TNWSequence      = longint                 ;
TNWVConsoleVer   = byte                    ;
TNWVConsoleRev   = byte                    ;
TNWNumPackets    = longint                 ;
TNWNumBuffers    = word                    ;
TNWServicever    = byte                    ;
TNWSupportLevel  = byte                    ;
pTBroadcastMode  = ^TBroadcastMode         ;
TBroadcastMode   = word ;
{$IFNDEF Win32}
nwfile_handle    = word ;
{$ENDIF}

{************ new-style api types ***********}

int8               = shortint              ;
puint8             = ^uint8                ;
uint8              = byte                  ;
puint16            = ^uint8                ;
uint16             = word                  ;
puint32            = ^uint32               ;
uint32             = longint               ;
size_t             = word                  ;

TNWDSContextHandle = uint32                ;
TNWDSSearchScope   = uint32                ;
TNWDSType          = uint32                ;
TNWDSFlags         = uint32                ;
TNWDSOperation     = uint32                ;
TNWDSPrivileges    = uint32                ;
TNWDSValidity      = longint               ;
TNWDSIteration     = longint               ; { int32 }
TNWDSNumObj        = longint               ;
TNWDSSize          = longint               ;
TNWDSToken         = uint16                ;
TNWSyntaxID        = uint32                ;
TNWDSObjectName    = array[0..256] of char ;
TNWValString       = array[0..19] of char  ;
TNWDSAttrName      = array[0..33] of char  ; 

{ NDS Filter Syntax Types }
TNWDSSynTypes = (SYN_UNKNOWN,
                 SYN_DIST_NAME,
                 SYN_CE_STRING,
                 SYN_CI_STRING,
                 SYN_PR_STRING,
                 SYN_NU_STRING,
                 SYN_CI_LIST,
                 SYN_BOOLEAN,
                 SYN_INTEGER,
                 SYN_OCTET_STRING,
                 SYN_TEL_NUMBER,
                 SYN_FAX_NUMBER,
                 SYN_NET_ADDRESS,
                 SYN_OCTET_LIST, 	
                 SYN_EMAIL_ADDRESS,
                 SYN_PATH,
                 SYN_REPLICA_POINTER,
                 SYN_OBJECT_ACL,
                 SYN_PO_ADDRESS,
                 SYN_TIMESTAMP,
                 SYN_CLASS_NAME,
                 SYN_STREAM,
                 SYN_COUNTER,
                 SYN_BACK_LINK,
                 SYN_TIME,
                 SYN_TYPED_NAME,
                 SYN_HOLD,
                 SYN_INTERVAL,
                 SYNTAX_COUNT ) ;


